/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _ACTIONS_H_
#define _ACTIONS_H_

#include "view.h"
#include "my_header.h"

#include <kurl.h>
#include <qlayout.h>
#include <qwidget.h>
#include <qptrlist.h>

#include <kmimetype.h>
#include <kfileitem.h>

class MyLabel;

struct _action
{
	QString text;
	QString icon;
	int act_type;
	QString action;
	
	QString mime_type;
	int type;
	void *service;
};

typedef struct _action s_action;

class Actions : public QObject
{
	Q_OBJECT
	
public:
	Actions(QWidget *parent, QBoxLayout *layout,
		QString text, QString icon);
	~Actions();
	
	MyHeader *header;
	
public slots:
        void urlChanged(const KURL &url);
        void clicked(s_action &act);
	void kdeService( s_action &act );
	
protected:
	void loadServices(KFileItem *file);
	
	
        void dcopAction(QString &act);
	void kdeAction(QString &act);
	void link(QString &act);

        View *mParent;
	KURL mUrl;
	
	// MyLabel *act_label[6];
	
	QPtrList< MyLabel > mLabelList;
	KURL mMountPoint;
	bool mMounted;
	
	QMap<int, KDEDesktopMimeType::Service> mServicesMap;
	QValueList<KDEDesktopMimeType::Service> mDeviceServices;
	QValueList<KDEDesktopMimeType::Service> mDirectoryServices;
};

#endif

