/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 

#ifndef _MY_HEADER_H_
#define _MY_HEADER_H_

#include <qlayout.h>
#include <qstring.h>
#include <qframe.h>
#include <qlabel.h>

class FlatButton;

class MyHeader : public QObject
{
  Q_OBJECT
 public:
	MyHeader(QWidget *parent, QBoxLayout *layout,
		 QString text, QString icon);
	~MyHeader();

	QVBoxLayout *layout;
	QFrame  *mFrame;
	
	bool isVisible() {return mIsVisible;}
	void setVisible(bool f);
	
	void hide();
	void show();

 public slots:
	void hide_show();
        void mouseOn();
	void mouseOff();

 protected:
        QVBoxLayout *priv_layout;
        bool mIsVisible;

	QWidget *mParent;
	QFrame *lineFrame;
	QLabel  *mLabel;
	QLabel *mIcon;
	QString sIcon;
	FlatButton *btn;
	
	QColor std_color;
	bool m_on;
};


#endif
