/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 

#include <kinstance.h>
#include <qstring.h>
#include <qwidget.h>

#include "view.h"
#include "sidebar.h"

#include <kglobal.h>
#include <klocale.h>

Sidebar::Sidebar(KInstance *inst,QObject *parent,QWidget *widgetParent, QString &desktopName, const char* name):
                   KonqSidebarPlugin(inst,parent,widgetParent,desktopName,name)
{
	view = new View(widgetParent);
	widget = (QWidget *)view;
}


Sidebar::~Sidebar()
{
}

void Sidebar::handleURL(const KURL &url)
{
	view->slotUrlChanged( url );
}


extern "C"
{
    void* create_konqsidebar_ksidebar(KInstance *instance, QObject *par, QWidget *widp, 
				      QString &desktopname, const char *name)
    {
        KGlobal::locale()->insertCatalogue("ksidebar");
        return new Sidebar(instance,par,widp,desktopname,name);
    }
};

#include "sidebar.moc"
