/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 
#ifndef SIDEBAR_H
#define SIDEBAR_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <konqsidebarplugin.h>
#include <qstring.h>
#include <kconfig.h>


#include "view.h"

class Sidebar : public KonqSidebarPlugin
{
    Q_OBJECT
    
public:
    /**
     * Construct a @ref KonqSidebarPlugin.
     *
     * @param inst The sidebar's kinstance class.
     * @param parent The sidebar internal button info class responsible for this plugin.
     * @param widgetParent The container which will contain the plugins widget.
     * @param desktopName The filename of the configuration file.
     * @param name A Qt object name for your plugin.
     **/
     Sidebar(KInstance *inst,QObject *parent,QWidget *widgetParent, 
	     QString &desktopName, const char* name=0);

    /** destructor */
    ~Sidebar();
    
   virtual QWidget *getWidget() { return widget; }
   virtual void *provides(const QString &) {return 0;}

protected:
	/* Example widget only. You use whichever widget you want. 
           You only have to care that getWidget returns some kind of widget */
	QWidget *widget;

	View *view;

        virtual void handleURL(const KURL &url);

};

#endif
